%define modname	File-DesktopEntry
%define modver 0.22

Summary:	Object to handle .desktop files
Name:		perl-%{modname}
Version:	%perl_convert_version %{modver}
Release:	1
License:	GPLv2
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{modname}/
Source0:	http://www.cpan.org/modules/by-module/File/%{modname}-%{modver}.tar.gz
BuildArch:	noarch
BuildRequires:	perl(File::BaseDir)
BuildRequires:	perl(Module::Build)
BuildRequires:	perl(JSON::PP)
BuildRequires:	perl-devel

%description
This module is used to work with .desktop files. The format of these files is
specified by the freedesktop "Desktop Entry" specification.

%prep
%setup -qn %{modname}-%{modver}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes
%{perl_vendorlib}/File/DesktopEntry.pm
%{_mandir}/man3/*

%changelog

* Thu Jun 22 2017 dsilakov <denis.silakov@rosalab.ru> 0.220.0-1
- (fe40efe) Merge pull request #1 from import/perl-File-DesktopEntry:auto_update
- (fe40efe) Updated to 0.22 (by updates_builder)


